#include <linux/i2c.h>

extern int debug;
extern int cx25840_fast_fw_load;
extern char *cx25840_fw;

void cx25840_write_setting(struct i2c_client *client, u16 setting, u32 value);
u32 cx25840_read_setting(struct i2c_client *client, u16 setting);

#define CX25840_DEBUG(args...) \
	do { \
		if (debug) \
			printk(KERN_INFO "cx25840 debug: " args); \
	} while (0)

#define CX25840_ERR(args...) printk(KERN_ERR "cx25840: " args);
#define CX25840_INFO(args...) printk(KERN_INFO "cx25840: " args);

#define VIDEO_IS_PRESENT 1
#define VIDEO_NOT_PRESENT 2

#define CX25840_SVIDEO 0
#define CX25840_COMPOSITE 1
#define CX25840_TUNER 2
#define CX25840_FM 3
#define CX25840_AUDIOIN 4
