#include <linux/i2c.h>
#include "compat.h"

#define FW_SEND 1024

int cx25840_load_fw_hp(struct i2c_client *);
int cx25840_load_fw_nohp(struct i2c_client *);

#ifdef LINUX26
#define DEVICE(x) &x->adapter->dev
#else
#define DEVICE(x) "cx25840"
#endif

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,23)
#include <linux/firmware.h>
#else
struct firmware {
	size_t size;
	u8 *data;
};
#define request_firmware(...) 1
#define release_firmware(...)
#endif

#if defined(IVTV_FW_LOADER) && (defined(CONFIG_FW_LOADER) || defined(CONFIG_FW_LOADER_MODULE))
#define AUDIO_FW "HcwMakoA.ROM"
static inline int load_audio_firmware(struct i2c_client *client)
{
	return cx25840_load_fw_hp(client);
}
#else
#define AUDIO_FW "/lib/modules/HcwMakoA.ROM"
static inline int load_audio_firmware(struct i2c_client *client)
{
	return cx25840_load_fw_nohp(client);
}
#endif
